summaryrefslogtreecommitdiff
path: root/app-text/calibre/files
diff options
context:
space:
mode:
Diffstat (limited to 'app-text/calibre/files')
-rw-r--r--app-text/calibre/files/calibre-1.34-no_updates_dialog.patch37
-rw-r--r--app-text/calibre/files/calibre-1.48-sip.patch11
-rw-r--r--app-text/calibre/files/calibre-disable_plugins.patch17
-rw-r--r--app-text/calibre/files/calibre-server.conf13
-rw-r--r--app-text/calibre/files/calibre-server.init59
5 files changed, 137 insertions, 0 deletions
diff --git a/app-text/calibre/files/calibre-1.34-no_updates_dialog.patch b/app-text/calibre/files/calibre-1.34-no_updates_dialog.patch
new file mode 100644
index 00000000..dd6b3940
--- /dev/null
+++ b/app-text/calibre/files/calibre-1.34-no_updates_dialog.patch
@@ -0,0 +1,37 @@
+--- a/src/calibre/gui2/main.py 2014-01-17 11:49:16.000000000 +0800
++++ b/src/calibre/gui2/main.py 2014-01-18 18:28:53.322911344 +0800
+@@ -37,8 +37,9 @@
+ help=_('Start minimized to system tray.'))
+ parser.add_option('-v', '--verbose', default=0, action='count',
+ help=_('Ignored, do not use. Present only for legacy reasons'))
+- parser.add_option('--no-update-check', default=False, action='store_true',
+- help=_('Do not check for updates'))
++ parser.add_option('--update-check', dest='no_update_check', default=True,
++ action='store_false',
++ help=_('Check for updates'))
+ parser.add_option('--ignore-plugins', default=False, action='store_true',
+ help=_('Ignore custom plugins, useful if you installed a plugin'
+ ' that is preventing calibre from starting'))
+--- a/src/calibre/gui2/update.py 2014-04-24 22:02:21.000000000 -0400
++++ b/src/calibre/gui2/update.py 2014-05-01 12:02:27.631316967 -0400
+@@ -139,6 +139,8 @@
+ self.update_checker.update_found.connect(self.update_found,
+ type=Qt.QueuedConnection)
+ self.update_checker.start()
++ else:
++ self.update_checker = None
+
+ def recalc_update_label(self, number_of_plugin_updates):
+ self.update_found('%s%s%d'%(self.last_newest_calibre_version, VSEP,
+--- a/src/calibre/gui2/ui.py 2014-04-24 22:02:21.000000000 -0400
++++ b/src/calibre/gui2/ui.py 2014-05-01 11:53:58.371307671 -0400
+@@ -858,7 +858,8 @@
+ if write_settings:
+ self.write_settings()
+ self.check_messages_timer.stop()
+- self.update_checker.terminate()
++ if self.update_checker is not None:
++ self.update_checker.terminate()
+ self.listener.close()
+ self.job_manager.server.close()
+ self.job_manager.threaded_server.close()
diff --git a/app-text/calibre/files/calibre-1.48-sip.patch b/app-text/calibre/files/calibre-1.48-sip.patch
new file mode 100644
index 00000000..0a9212bf
--- /dev/null
+++ b/app-text/calibre/files/calibre-1.48-sip.patch
@@ -0,0 +1,11 @@
+--- setup/extensions.py.orig 2014-11-22 14:47:47.636474362 +0100
++++ setup/extensions.py 2014-11-22 14:48:17.556594759 +0100
+@@ -630,7 +630,7 @@
+ if self.newer(sbf, [sipf]+ext.headers):
+ exe = '.exe' if iswindows else ''
+ cmd = [pyqt.sip_bin+exe, '-w', '-c', src_dir, '-b', sbf, '-I'+
+- pyqt.pyqt_sip_dir] + shlex.split(pyqt.pyqt_sip_flags) + [sipf]
++ pyqt.pyqt_sip_dir, '-I/usr/share/sip/PyQt4'] + shlex.split(pyqt.pyqt_sip_flags) + [sipf]
+ self.info(' '.join(cmd))
+ self.check_call(cmd)
+ module = self.j(src_dir, self.b(dest))
diff --git a/app-text/calibre/files/calibre-disable_plugins.patch b/app-text/calibre/files/calibre-disable_plugins.patch
new file mode 100644
index 00000000..9ef1dd04
--- /dev/null
+++ b/app-text/calibre/files/calibre-disable_plugins.patch
@@ -0,0 +1,17 @@
+Description: Disable plugin dialog. It uses a totally non-authenticated and non-trusted way of installing arbitrary code.
+Author: Martin Pitt <mpitt@debian.org>
+Bug-Debian: http://bugs.debian.org/640026
+
+Index: calibre-0.8.29+dfsg/src/calibre/gui2/actions/preferences.py
+===================================================================
+--- calibre-0.8.29+dfsg.orig/src/calibre/gui2/actions/preferences.py 2011-12-16 05:49:14.000000000 +0100
++++ calibre-0.8.29+dfsg/src/calibre/gui2/actions/preferences.py 2011-12-20 19:29:04.798468930 +0100
+@@ -28,8 +28,6 @@
+ pm.addAction(QIcon(I('config.png')), _('Preferences'), self.do_config)
+ cm('welcome wizard', _('Run welcome wizard'),
+ icon='wizard.png', triggered=self.gui.run_wizard)
+- cm('plugin updater', _('Get plugins to enhance calibre'),
+- icon='plugins/plugin_updater.png', triggered=self.get_plugins)
+ if not DEBUG:
+ pm.addSeparator()
+ cm('restart', _('Restart in debug mode'), icon='debug.png',
diff --git a/app-text/calibre/files/calibre-server.conf b/app-text/calibre/files/calibre-server.conf
new file mode 100644
index 00000000..c1bed842
--- /dev/null
+++ b/app-text/calibre/files/calibre-server.conf
@@ -0,0 +1,13 @@
+# /etc/conf.d/calibre-server
+# Change this to the user you want to run calibre-server as.
+# You may specify a group too, after a colon
+# NOTE: This must be set and not to root!
+CALIBRE_USER=
+
+# Set the path of the library to serve.
+# Defaults to the default location for CALIBRE_USER.
+#CALIBRE_LIBRARY='<user home directory>/Calibre Library'
+
+# Extra options to pass to calibre-server.
+# See the calibre-server man page for more options.
+#CALIBRE_OPTS="--username calibre --password password --thread-pool 10 --port 8080"
diff --git a/app-text/calibre/files/calibre-server.init b/app-text/calibre/files/calibre-server.init
new file mode 100644
index 00000000..f1727072
--- /dev/null
+++ b/app-text/calibre/files/calibre-server.init
@@ -0,0 +1,59 @@
+#!/sbin/runscript
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License, v2 or later
+# $Header: /var/cvsroot/gentoo-x86/app-text/calibre/files/calibre-server.init,v 1.1 2012/01/14 18:27:01 zmedico Exp $
+
+depend() {
+ need net
+ need localmount
+ after bootmisc
+}
+
+checkconfig() {
+ if [ "${CALIBRE_USER}" = "" -o "${CALIBRE_USER}" = "root" ] ; then
+ eerror "Please edit /etc/conf.d/calibre-server"
+ eerror "You have to specify a user to run calibre-server as, as we will not run it as root!"
+ eerror "Modify CALIBRE_USER to your needs (you can also add a group, after a colon)"
+ return 1
+ fi
+ if ! getent passwd "${CALIBRE_USER%:*}" >/dev/null ; then
+ eerror "Please edit /etc/conf.d/calibre-server"
+ eerror "Your user has to exist!"
+ return 1
+ fi
+ if [ "${CALIBRE_USER%:*}" != "${CALIBRE_USER}" ] ; then
+ if ! getent group "${CALIBRE_USER#*:}" >/dev/null ; then
+ eerror "Please edit /etc/conf.d/calibre-server"
+ eerror "Your group has to exist too!"
+ return 1
+ fi
+ fi
+ if [ "${CALIBRE_LIBRARY}" = "" ] ; then
+ CALIBRE_USER_HOME=$(getent passwd "${CALIBRE_USER%:*}" | cut -d ':' -f 6)
+ CALIBRE_LIBRARY="${CALIBRE_USER_HOME}/Calibre Library"
+ fi
+ if [ ! -d "${CALIBRE_LIBRARY}" ] ; then
+ eerror "Please edit /etc/conf.d/calibre-server"
+ eerror "The Calibre library, '${CALIBRE_LIBRARY},' does not exist."
+ eerror "Please modify CALIBRE_LIBRARY to point to a valid library."
+ return 1
+ fi
+ return 0
+}
+
+start() {
+ checkconfig || return $?
+ local pidfile=/var/run/calibre-server.pid
+ ebegin "Starting calibre-server"
+ start-stop-daemon --user "${CALIBRE_USER}" \
+ --pidfile "${pidfile}" --make-pidfile --background --exec /usr/bin/calibre-server \
+ -- --with-library "${CALIBRE_LIBRARY}" ${CALIBRE_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping calibre-server"
+ start-stop-daemon --stop --user "${CALIBRE_USER}" \
+ --pidfile /var/run/calibre-server.pid
+ eend $?
+}